# harmonograph with damping factor 1/100

import numpy as np
import matplotlib.pyplot as plt

def damped(t,a,b,phi):
    xt=np.sin(a*t+phi)*np.exp(-t/100)
    yt=np.sin(b*t)*np.exp(-t/100)
    return xt,yt

size=int(np.pi*200000)
xs,ys=np.zeros(size),np.zeros(size)
a,b,phi=2,3,np.pi

for index in range(size):
    (xs[index],ys[index])=damped(index/10000,a,b,phi)
    
print(xs,ys)

plt.ion()
plt.plot(xs,ys)